org.apache.jmeter.visualizers.backend

## Class ErrorMetric

- java.lang.Object
- - org.apache.jmeter.visualizers.backend.ErrorMetric

-     public class ErrorMetric
      extends java.lang.Object

  Object representing an error by a response code and response message
  Since:
    3.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorMetric()`
    `ErrorMetric(SampleResult result)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `java.lang.String` | `getResponseCode()`
    `java.lang.String` | `getResponseMessage()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorMetric

          public ErrorMetric()

    - #### ErrorMetric

          public ErrorMetric(SampleResult result)

  - ### Method Detail

    - #### getResponseCode

          public java.lang.String getResponseCode()

      Returns:
        the response code , '0' if the code is empty

    - #### getResponseMessage

          public java.lang.String getResponseMessage()

      Returns:
        the response message , 'none' if he code is empty

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.